function [pose,s1,s2] = robotMotion(pose, vw, dt, salientPoint1, salientPoint2)
    T0 = createMatrix(pose(1),pose(2),pose(3),pose(4),pose(5),pose(6));
    T1 = createMatrix( ...
            vw(1) * dt, ...
            0, ...
            0, ...
            vw(2) * dt, ...
            0, ...
            0 ...
        );
    TR = T0 * T1;
    [pose(1),pose(2),pose(3),pose(4),pose(5),pose(6)] = extractPar(TR);
    s1 = TR * [salientPoint1(1:2);0;salientPoint1(3)];
    s2 = TR * [salientPoint2(1:2);0;salientPoint2(3)];
end